Bug 170070 - nfs reports it fails to create recovery directory
nfs reports it fails to create recovery directory
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-06 19:40 EDT by Peter Lawler
Modified: 2008-03-09 03:24 EDT (History)
3 users (show)

See Also:
Fixed In Version: nfs-utils-1.0.8-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 03:24:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Lawler 2005-10-06 19:40:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
On starting up, I get these errors in my logs:
NFSD: Using /var/lib/nfs/v4recovery as the NFSv4 state recovery directory
NFSD: recovery directory /var/lib/nfs/v4recovery doesn't exist



Version-Release number of selected component (if applicable):
kernel 2.6.13-1.1526_FC4

How reproducible:
Always

Steps to Reproduce:
1. Start NFS


Actual Results:  Errors logged

Expected Results:  No errors

Additional info:

Marking as HIGH as I'm assuming missing 'recovery' could result in loss of data.
Comment 1 Kjell.Randa@broadpark.no 2005-10-07 18:37:20 EDT
After upgrading to 2.6.13-1.1526_FC4smp I also see the same messages at each boot

uname -a
Linux eagle 2.6.13-1.1526_FC4smp #1 SMP Wed Sep 28 19:30:04 EDT 2005 i686 i686
i386 GNU/Linux

Oct  8 00:20:33 eagle kernel: NFSD: Using /var/lib/nfs/v4recovery as the NFSv4
state recovery directory
Oct  8 00:20:33 eagle kernel: NFSD: recovery directory /var/lib/nfs/v4recovery
doesn't exist
Oct  8 00:20:33 eagle kernel: NFSD: starting 90-second grace period
Comment 2 Peter Lawler 2005-11-21 16:19:08 EST
Still happening in 2.6.14-1.1637_FC4
Comment 3 Steve Dickson 2006-07-25 00:22:19 EDT
This is fixed in nfs-utils-1.0.8-3
Comment 4 Christian Iseli 2007-01-22 06:51:13 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Note You need to log in before you can comment on or make changes to this bug.